from fastapi import APIRouter, Body

from app.schemas.user_register_schema import UserRegisterSchema

from app.services.user_service import create_user

router = APIRouter(
    prefix="/user",
    tags=["User"]
)


@router.delete("/delete", summary="Delete user")
async def delete_user():
    raise NotImplementedError("delete_user() needs to be implemented.")


@router.post("/login", summary="User login")
async def login(data: dict = Body(...)):
    raise NotImplementedError("login() needs to be implemented.")


@router.delete("/logout", summary="User logout")
async def logout():
    raise NotImplementedError("logout() needs to be implemented.")


@router.post("/register", summary="Register new user")
async def register(user_data: UserRegisterSchema):
    create_user(user_data)


@router.put("/update", summary="Update user details")
async def update_user(data: dict = Body(...)):
    raise NotImplementedError("update_user() needs to be implemented.")
